﻿using Space.Model.Entity;

namespace Space.Model.Fsm
{
    public interface IState<T>
    {
        bool AcceptInput { get; }

        T Owner { get; set; }

        void Enter();
        void Execute(long timestep);
        void Exit();
    }
}
